## libstroke 0.5.1

=== debian/changelog ===
libstroke (0.5.1-8) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0 (quilt).
  * Add autoconf-macro-quoting.patch (Closes: #128745, #302907).
    Thanks to Steve M. Robbins for the patch, and Vincent Lefevre for the
    test case (GNU MPFR).
  * Corrections to d/copyright (Closes: #829027):
    - Fix URL from which the sources were downloaded
    - Include the name of the original author of libstroke
    - Update common licenses reference GPL -> GPL-2.
  * Add Vcs-* fields.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 05 Jul 2016 18:01:46 +0900

libstroke (0.5.1-7) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA team (see #790730).
  * Bump debhelper compat and dependency bound to 5 (Closes: #817554).
  * Tighten libstroke0-dev's dependency on libstroke0 to match version.
  * Clear dependency_libs field in /usr/lib/libstroke.la.
  * Fix ldconfig trigger:
    - Call dh_installdeb after dh_makeshlibs.
    - Drop libstroke0.postinst.
  * Add required d/rules targets build-arch and build-indep.
  * Add ${misc:Depends} to Depends: field of both binary packages.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Jun 2016 12:02:45 +0900

libstroke (0.5.1-6.1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Non-maintainer upload.

  [ Colin Watson ]
  * Use autotools-dev to update config.* for new ports (closes: #742554).
  * Add ppc64el support to libtool macros from the Debian libtool package.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 21 Sep 2014 00:29:43 +0200

libstroke (0.5.1-6) unstable; urgency=low

  * Remove libgstroke from the package, as none of the reverse dependencies
    are using it and it's stuck on GTK+ 1.2
  * Miscellaneous cleanups: 
    * standards revision 3.7.2, 
    * link /usr/share/doc/libstroke0-dev to libstroke0
    * remove /usr/bin/stroke_test and gnome_stroke_test which shouldn't be in
      the library package

 -- Hamish Moffatt <hamish@debian.org>  Sun, 23 Sep 2007 13:42:23 +1000

libstroke (0.5.1-5) unstable; urgency=low

  * Change build-dependency on xlibs-dev to libx11-dev, libice-dev,
    libsm-dev (closes: #251219)
  * Improve package description in debian/control
  * Update to standards-revision 3.6.2
  * General cleanup of debian/rules

 -- Hamish Moffatt <hamish@debian.org>  Sun,  8 Jan 2006 12:09:49 +1100

libstroke (0.5.1-4) unstable; urgency=low

  * Update configure script so that the library builds on mips and mipsel
    (closes: #220249)

 -- Hamish Moffatt <hamish@debian.org>  Wed, 12 Nov 2003 23:35:02 +1100

libstroke (0.5.1-3) unstable; urgency=low

  * Provide proper linking against libgtk (closes: #210655)
  * Upgrade to debhelper 4

 -- Hamish Moffatt <hamish@debian.org>  Sun,  9 Nov 2003 14:54:29 +1100

libstroke (0.5.1-2) frozen unstable; urgency=low

  * Included /usr/bin/stroke_test and /usr/bin/gnome_stroke_test
    binaries which allow you to practice strokes. (closes: #134164)
  * Updated description to indicate that fvwm supports strokes too
  * Fixed section for -dev package (devel instead of libs)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 17 Feb 2002 14:35:13 +1100

libstroke (0.5.1-1) frozen unstable; urgency=low

  * New upstream release (closes: #128001)

 -- Hamish Moffatt <hamish@debian.org>  Sun,  6 Jan 2002 23:02:15 +1100

libstroke (0.4-2) frozen unstable; urgency=low

  * Reran libtoolize to update config.guess/sub (closes: #98940)

 -- Hamish Moffatt <hamish@debian.org>  Wed,  4 Jul 2001 19:24:31 +1000

libstroke (0.4-1) frozen unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Wed,  9 May 2001 00:22:50 +1000

libstroke (0.3-4) frozen unstable; urgency=low

  * Updated config.guess, config.sub for the ARM port (closes: #56899)

 -- Hamish Moffatt <hamish@debian.org>  Mon,  7 Feb 2000 17:18:54 +1100

libstroke (0.3-3) unstable; urgency=low

  * Now really FHS compliant (forgot #DEBHELPER#)

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 18:22:47 +1000

libstroke (0.3-2) unstable; urgency=low

  * FHS compliant

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 18:11:15 +1000

libstroke (0.3-1) unstable; urgency=low

  * First upload

 -- Hamish Moffatt <hamish@debian.org>  Mon, 01 Mar 1999 17:19:00 +1100
