=== debian/control ===
Source: libstroke
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5), autotools-dev, libx11-dev, libice-dev, libsm-dev
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libstroke.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libstroke.git

Package: libstroke0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mouse strokes library -- runtime files
 libstroke is a stroke interface library.  Strokes are motions
 of the mouse that can be interpreted by a program as a command. Strokes
 are common in CAD software such as gEDA and Mentor Graphics.
 fvwm can use mouse strokes to cause certain actions, just like button 
 clicks.

Package: libstroke0-dev
Architecture: any
Section: devel
Depends: libstroke0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libstroke0 (<< 0.5.1)
Description: mouse strokes library -- development files
 libstroke is a stroke interface library.  Strokes are motions
 of the mouse that can be interpreted by a program as a command. Strokes
 are common in CAD software such as gEDA and Mentor Graphics.
 fvwm can use mouse strokes to cause certain actions, just like button 
 clicks.
 .
 This package contains the header files needed for developing with this library.
