=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-arch: build
build-indep: build

build-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	./configure --prefix=/usr --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib

# Patch the generated libtool to avoid passing -rpath when linking,
# and to explicitly link libraries against the libraries they
# depend on.
	sed < libtool > libtool-2 \
	-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
	mv libtool-2 libtool
	chmod 755 libtool

	$(MAKE) 
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_autotools-dev_restoreconfig
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install-exec DESTDIR=`pwd`/debian/libstroke0

	# now include the header files;
	$(MAKE) install-data DESTDIR=`pwd`/debian/libstroke0-dev

	# install the header file if the make above forgot it
	test -f debian/libstroke0-dev/usr/include/stroke.h || cp libstroke/stroke.h debian/libstroke0-dev/usr/include

	# now move the .so links & the .a files
	mv debian/libstroke0/usr/lib/libstroke.so debian/libstroke0-dev/usr/lib
	mv debian/libstroke0/usr/lib/libstroke.la debian/libstroke0-dev/usr/lib
	rm debian/libstroke0/usr/lib/*.a

	# empties dependency_libs from .la file
	# http://lists.debian.org/debian-devel/2009/08/msg00783.html
	sed -i "s,^dependency_libs=.*,dependency_libs=''," debian/libstroke0-dev/usr/lib/libstroke.la

	# delete libgstroke if built
	-rm debian/libstroke0-dev/usr/include/gstroke.h
	-rm debian/libstroke0-dev/usr/include/gstroke.h
	-rm debian/libstroke0/usr/lib/libgstroke*
	-rm debian/libstroke0/usr/bin/gnome_stroke_test
	-rm debian/libstroke0/usr/bin/stroke_test
	-rm debian/libstroke0-dev/usr/share/aclocal/libgstroke.m4
	
	ln -sf libstroke0 debian/libstroke0-dev/usr/share/doc/libstroke0-dev

	dh_installdocs -plibstroke0
	dh_installchangelogs ChangeLog -plibstroke0
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
